Skip to main content
`Ctrl`+`K`

# miml.classifier.mimlTOml.miml_to_ml_classifier.MIMLtoMLClassifier

class miml.classifier.mimlTOml.miml_to_ml_classifier.MIMLtoMLClassifier(ml_classifier, transformation: MIMLtoMLTransformation)
  __init__(ml_classifier, transformation: MIMLtoMLTransformation) → None

    Constructor of the class MIMLtoMIClassifier

    ## Parameters

    ml_classifier

      Specific classifier to be used

    transformationMIMLtoMLTransformation

      Transformation to be used

  Methods

  `__init__`(ml_classifier, transformation) | Constructor of the class MIMLtoMIClassifier
  `evaluate`(dataset_test) | Evaluate the model on a test dataset
  `fit`(dataset_train) | Training the classifier
  `fit_internal`(dataset_train) | Training the classifier
  `predict`(x) | Predict labels of given data
  `predict_bag`(bag) | Predict labels of a given bag
  `predict_proba`(dataset_test) | Predict probabilities of given dataset of having a positive label